# Uses of Interface
org.opensaml.soap.wstrust.SignChallengeResponse

Packages that use SignChallengeResponse
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of SignChallengeResponse in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement SignChallengeResponse
Modifier and Type
Class
Description
`class`
`SignChallengeResponseImpl`
SignChallengeImpl.
Methods in org.opensaml.soap.wstrust.impl that return SignChallengeResponse
Modifier and Type
Method
Description
`SignChallengeResponse`
SignChallengeResponseBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`SignChallengeResponse`
SignChallengeResponseBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.